Subject: Re: bug#31086: [PATCH] xref: Make xref-push-marker-stack interactive

From: Dmitry Gutov <[email-masked]>
Date: Wed, 11 Apr 2018 10:28:17 +0300

Hey!

On 4/7/18 3:05 AM, George Kadianakis wrote:

> here is a small patch that allows xref users to push markers to the
> stack without using xref-find-definitions. This allows users to mark
> arbitrary positions in the code that they consider interesting
> (e.g. documentation) even tho it's not actually an xref definition.

Thank you for the patch, but I'm not quite sure we want this behavior, 
at least not until we have a common marker stack for many different 
operations. But let's hear what others think.

In the meantime, it should be easy for you to use advice, or define a 
command in your init file that would call xref-push-marker-stack.